Summary: A text-based Web browser.
Name: lynx
Version: 2.8.5
Release: 11
License: GPL
Group: Applications/Internet
Source: http://lynx.isc.org/current/lynx2.8.5dev.7.tar.bz2
Source1: lynx.cfg.ja
Source2: lynx2-8-2.ja.po.bz2
Source3: lynx.cfg.cs
Source4: lynx.cfg.sk
URL: http://lynx.isc.org/
Patch0: lynx-2.8.4-redhat.patch
Patch1: lynx2-8-2-telnet.patch
Patch2: lynx-284-i18ncfg.patch
Patch3: lynx-284-ipv6-salen.patch
Patch4: lynx2.8.4rel.1c.patch
Requires: indexhtml
Provides: webclient
BuildRequires: openssl-devel, pkgconfig, ncurses-devel, slang-devel, zlib-devel
Buildroot: %{_tmppath}/%{name}-root

%description
Lynx is a text-based Web browser. Lynx does not display any images,
but it does support frames, tables, and most other HTML tags. One
advantage Lynx has over graphical browsers is speed; Lynx starts and
exits quickly and swiftly displays webpages.

%prep
%setup -q -n lynx2-8-5
%patch0 -p1 -b .redhat
%patch1 -p1 -b .telnet
%patch2 -p1 -b .i18ncfg
%patch3 -p1 -b .salen
%patch4 -p1 -b .crlf
perl -pi -e "s,^HELPFILE:.*,HELPFILE:file://localhost/usr/share/doc/lynx-%{version}/lynx_help/lynx_help_main.html,g" lynx.cfg
perl -pi -e "s,^DEFAULT_INDEX_FILE:.*,DEFAULT_INDEX_FILE:http://www.google.com/,g" lynx.cfg

%build
export PATH=`pwd`:$PATH
cat >gcc <<EOF
#!/bin/sh
ARGS=""
while [ \$# != 0 ]; do
	if [ \$1 != "-I/usr/include" -a \$1 != "-I/usr/include/" ]; then
		ARGS="\$ARGS \$1"
	fi
	shift
done
exec /usr/bin/gcc \$ARGS
EOF
chmod 0755 gcc
CFLAGS="-ggdb $RPM_OPT_FLAGS -DNCURSES -DNCURSES_MOUSE_VERSION" ; export CFLAGS
CXXFLAGS="-ggdb $RPM_OPT_FLAGS -DNCURSES -DNCURSES_MOUSE_VERSION" ; export CXXFLAGS
if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl` ; export CPPFLAGS
	LDFLAGS=`pkg-config --libs-only-L openssl` ; export LDFLAGS
fi
%configure --libdir=/etc \
	--with-screen=ncurses --enable-warnings \
	--enable-default-colors --enable-externs \
	--enable-internal-links --enable-nsl-fork \
	--enable-persistent-cookies --enable-prettysrc \
	--disable-font-switch --enable-source-cache \
	--enable-kbd-layout --with-zlib \
	--enable-charset-choice --enable-file-upload \
	--enable-cgi-links --enable-read-eta \
	--enable-addrlist-page --enable-cjk \
	--enable-justify-elts --enable-scrollbar \
	--enable-libjs --enable-cgi-links --enable-nls \
	--enable-ipv6 \
	--with-ssl=%{_libdir}
OLD_PO_FILE_INPUT=yes make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1 libdir=$RPM_BUILD_ROOT/etc
# Install Lang dependent resources
install -m444 %{SOURCE1} $RPM_BUILD_ROOT/etc
install -m444 %{SOURCE3} $RPM_BUILD_ROOT/etc
install -m444 %{SOURCE4} $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/
( bzcat %{SOURCE2} | msgfmt -o $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/lynx.mo - )

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet

cat >$RPM_BUILD_ROOT%{_sysconfdir}/lynx-site.cfg <<EOF
# Place any local lynx configuration options (proxies etc.) here.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help
%{_bindir}/lynx
%lang(cs) %{_prefix}/share/locale/cs/LC_MESSAGES/*
%lang(da) %{_prefix}/share/locale/da/LC_MESSAGES/*
%lang(de) %{_prefix}/share/locale/de/LC_MESSAGES/*
%lang(fr) %{_prefix}/share/locale/fr/LC_MESSAGES/*
%lang(ja) %{_prefix}/share/locale/ja/LC_MESSAGES/*
%lang(nl) %{_prefix}/share/locale/nl/LC_MESSAGES/*
%lang(pt_BR) %{_prefix}/share/locale/pt_BR/LC_MESSAGES/*
%lang(ru) %{_prefix}/share/locale/ru/LC_MESSAGES/*
%lang(sl) %{_prefix}/share/locale/sl/LC_MESSAGES/*
%lang(sv) %{_prefix}/share/locale/sv/LC_MESSAGES/*
%{_mandir}/*/*
%config %{_sysconfdir}/lynx.cfg
%config(noreplace,missingok) %{_sysconfdir}/lynx-site.cfg
%lang(ja) %config %{_sysconfdir}/lynx.cfg.ja
%lang(cs) %config %{_sysconfdir}/lynx.cfg.cs
%lang(sk) %config %{_sysconfdir}/lynx.cfg.sk

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Waugh <twaugh@redhat.com> 2.8.5-10
- Fix CRLF issue.

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.8.5-9
- rebuild

* Fri Dec 20 2002 Elliot Lee <sopwith@redhat.com> 2.8.5-8
- _smp_mflags

* Thu Dec 12 2002 Nalin Dahyabhai <nalin@redhat.com>
- use openssl pkg-config data, if available

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Thu Aug 08 2002 Karsten Hopp <karsten@redhat.de>
- remove menu entry (#69457)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.5-3
- Fix build with current toolchain

* Thu Nov 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.5-2
- Update (dev5)

* Wed Oct 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.5-1
- Update (dev3)
- Use "display" as image viewer (#54184)

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.4-17
- 2.8.4 release - no need to ship prerelease code...

* Thu Jul 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.4-16
- update to 2.8.4p5 (bugfix release)

* Tue Jul 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.4-15
- Add site-cfg file (#43841)

* Sun Jun 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.4-14
- 2.8.4p2

* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- support newer gettext version

* Thu May  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.4-12
- --with-display=ncurses, fixes #37481

* Wed May  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.8.4-11
- Add Czech/Slovak patches from milan.kerslager@spsselib.hiedu.cz (RFE#38334)

* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- dev20
- Add ipv6 patches from Pekka Savola <pekkas@netcore.fi>:
  - enable ipv6, patch for missing sockaddr sa_len
  - buildrequires: slang-devel, zlib-devel
  (Bug #35644)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Jan  4 2001 Nalin Dahyabhai <nalin@redhat.com>
- Fix up more of the i18ncfg patch

* Wed Jan  3 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.8.4dev16
- Fix up the i18ncfg patch - segfaulting on startup is not exactly
  a nice feature.
- Mark locale related files as such
- Mark /etc/lynx.cfg.ja as %%lang(ja)
- Add BuildRequires

* Thu Dec 21 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add -enable-nls --with-included-gettext
- Add i18ncfg patch
- Add Japanese resources

* Thu Oct  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update build URL
- Fix help (Bug #18394)
- Replace the "index page link" (pointing to a Mosaic site with thousands
  of dead links) with a link to Google

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add https:// support (#17554)
- Update to dev10

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Swedish and German translations to desktop file, Bug 15322

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.8.4.dev.4

* Mon Jul 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up location of standard page and help page in lynx.cfg (still
  pointed at /usr/doc instead of /usr/share/doc, Bug #13227)

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page lolcation to be FHS compliant
- use predefined RPM macros wherever possible
- use %%makeinstall
- cleaned up files list

* Wed Apr 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- 2.8.3rel.1

* Tue Mar 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.8.3dev23
- add URL header

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb 05 2000 Cristian Gafton <gafton@redhat.com>
- version 2.8.3dev18
- drop the RFC compliance patch - they seemed to have done theiir own
- pray that ported patches are okay

* Mon Jan 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add "passive mode ftp" option, activated by PASSIVE:TRUE in /etc/lynx.cfg
- turn on "PASSIVE:TRUE" by default
- deal with the fact that RPM compresses man pages.

* Sun Jan 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add "view with less" download option

* Wed Nov  3 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compliance with RFCs describing FTP.
  We can now connect to wu-ftpd >= 2.6.0 based servers.

* Wed Aug 25 1999 Bill Nottingham <notting@redhat.com>
- fix path to help file.
- turn off font switching
- disable args to telnet.

* Tue Jun 15 1999 Bill Nottingham <notting@redhat.com>
- update to 2.8.2

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- apply some update patches from the lynx folks
- set user's TEMP dir to their home dir to avoid /tmp races

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Mon Nov 30 1998 Bill Nottingham <notting@redhat.com>
- create cookie file 0600

* Fri Nov  6 1998 Bill Nottingham <notting@redhat.com>
- update to 2.8.1rel2

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- 2.8.1pre9
- strip binaries

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to lynx2.8.1pre.7.tar.gz

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8rel3
- fixed mailto: buffer overflow (used Alan's patch)

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8
- added buildroot

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- updated to 2.7.2
- enabled lynxcgi

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.6 to 2.7.1
- moved /usr/lib/lynx.cfg to /etc/lynx.cfg
- build with slang instead of ncurses
- made default startup file be file:/usr/doc/HTML/index.html

